Subject: Your order

From: <[email-masked]>
Date: Wed, 10 Dec 2008 14:26:16 -0800 (PST)

Don't hurry to leave, you'll find a lot of useful things here!

passed that mark.managers. Leading the pack was George Soros and his Quantum